| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Typedefs
OgreShaderSubRenderState.h File Reference
`#include "OgreShaderPrerequisites.h"`
`#include "OgreShaderScriptTranslator.h"`

## Classes
class | Ogre::RTShader::SubRenderState
| This class is the base interface of sub part from a shader based rendering pipeline. More...
class | Ogre::RTShader::SubRenderStateAccessor
| This class uses as accessor from a template SubRenderState to all of its instances that created based on it. More...
class | Ogre::RTShader::SubRenderStateFactory
| Abstract factory interface for creating SubRenderState implementation instances. More...

## Namespaces
| Ogre
| Ogre::RTShader

## Typedefs
typedef SharedPtr< SubRenderStateAccessor > | Ogre::RTShader::SubRenderStateAccessorPtr
typedef std::vector< SubRenderState * > | Ogre::RTShader::SubRenderStateList
typedef SubRenderStateList::const_iterator | Ogre::RTShader::SubRenderStateListConstIterator
typedef SubRenderStateList::iterator | Ogre::RTShader::SubRenderStateListIterator
typedef std::set< SubRenderState * > | Ogre::RTShader::SubRenderStateSet
typedef SubRenderStateSet::const_iterator | Ogre::RTShader::SubRenderStateSetConstIterator
typedef SubRenderStateSet::iterator | Ogre::RTShader::SubRenderStateSetIterator